WordPress 5.1 发布,监控古老 PHP 版本、编辑器性能提升

h4cd
 h4cd
发布于 2019年02月22日
收藏 3

WordPress 5.1 Betty 发布了,2019 年的 WordPress 主题是“tighten up”,WordPress 5.1 正是专注于此。

Site Health

考虑到安全性和速度,此版本引入了 WordPress 的第一个站点健康功能(Site Health),WordPress 将开始向运行过时版本 PHP 的网站管理员发布通知。

此外,在安装新插件时,WordPress 的 Site Health 功能将检查插件是否需要与站点不兼容的 PHP 版本。如果是,那么  WordPress 将阻止该插件的安装。

编辑器性能提升

自从 WordPress 5.0 推出以来,新的块编辑器一直在不断改进,WordPress 5.1 在编辑器中包含了可靠的性能改进,编辑过程变快,打字感觉更加顺畅。

预计在接下来的几个版本中会有更多的性能提升。

多站点元数据

5.1 引入了一个新的数据库表来存储与站点相关的元数据,并允许存储与多站点/网络环境相关的任意站点数据。

Cron API

Cron API 带来新函数以帮助返回数据,并包含用于修改 cron 存储的新过滤器。其它更改会影响运行 FastCGI 和 PHP-FPM 7.0.16 及更高版本的服务器上的 cron 生成。

新的 JS 构建程序

WordPress 5.1 具有一个新的 JavaScript 构建选项。

详情查看发布公告

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:WordPress 5.1 发布,监控古老 PHP 版本、编辑器性能提升
加载中

精彩评论

日理万姬
日理万姬
用过一次,放到公网上被攻击惨了,基本上每天都要重启一次服务

最新评论(2

日理万姬
日理万姬
用过一次,放到公网上被攻击惨了,基本上每天都要重启一次服务
麦老师
5.0的编辑器是真难用,5.0还没升级呢,5.1就块来了
返回顶部
顶部